/* Block elements can be inline */
#div-1{
	display: inline;
	background-color: green;
	width: 200px;
	height: 200px;
}

/* inline can also be inline-block */
#span-1{
	display: inline-block;
	background-color: purple;
	width: 200px;
	height: 200px;
}

/* inline can also be block */
#span-2{
	display: block;
	background-color: red;
	width: 200px;
	height: 200px;
}

/* We can also set none as a display value */
#div-2{
	display: none;
	background-color: hotpink;
}

#img{
	display: inline-block;
	width: 250px;
	height: 250px;
	/*border-radius: 125px;*/
}

#p-1{
	background-color: #87CEFA;
}

#p-2{
	background-color: rgb(255, 155, 180);
	width: 60%;
}

#p-3{
	background-color: yellow;
	width: 40%;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

.img-float{
	width: 250px;
	height: 250px;
	float: right;
}

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent{
	width: 50%;
}

.one-hundred-pixels{
	width: 100px;
}

.parent{
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.fifty-vw{
	width: 50vw;
}

.twenty-five-vh{
	height: 25vh;
}

.one-rem{
	font-size: 1rem;
}

.one-em{
	font-size: 1em;
}

.two-rem{
	font-size: 2rem;
}

.two-em{
	font-size: 2em;
}

.two-hundred-percent{
	font-size: 200%;
}

.background{
	min-height: 100vh;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	/* repeats image if it doesnot fill the full width of the webpage */
	background-repeat: no-repeat;
	/* when we use %, we apply % to width and it sizes the height accordingly */
	background-size: 100%;
	background-position: center top;
	background-attachment: scroll;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg{
	/* a in rgba: opacity. range[0-1] */
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}